curl --request POST \
--url https://api.sandbox.humanity.org/v2/oauth/token \
--header 'Content-Type: application/json' \
--data '
{
"grant_type": "<unknown>",
"code": "<string>",
"redirect_uri": "<string>",
"client_id": "<string>",
"code_verifier": "<string>"
}
'{
"access_token": "<string>",
"token_type": "<unknown>",
"expires_in": 123,
"scope": "<string>",
"granted_scopes": [
"<string>"
],
"authorization_id": "<string>",
"app_scoped_user_id": "<string>",
"issued_at": "<string>",
"refresh_token": "<string>",
"refresh_token_expires_in": 123,
"refresh_issued_at": "<string>",
"id_token": "<string>"
}curl --request POST \
--url https://api.sandbox.humanity.org/v2/oauth/token \
--header 'Content-Type: application/json' \
--data '
{
"grant_type": "<unknown>",
"code": "<string>",
"redirect_uri": "<string>",
"client_id": "<string>",
"code_verifier": "<string>"
}
'{
"access_token": "<string>",
"token_type": "<unknown>",
"expires_in": 123,
"scope": "<string>",
"granted_scopes": [
"<string>"
],
"authorization_id": "<string>",
"app_scoped_user_id": "<string>",
"issued_at": "<string>",
"refresh_token": "<string>",
"refresh_token_expires_in": 123,
"refresh_issued_at": "<string>",
"id_token": "<string>"
}const tokens = await sdk.exchangeCodeForToken(code, codeVerifier);
grant_type=authorization_code, code, redirect_uri, code_verifiergrant_type=refresh_token, refresh_token/oauth/authorize step. Use the companion POST /oauth/revoke operation to invalidate a refresh or access token when a user withdraws consent.